JBoss API: Class StatelessSessionProxy

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class StatelessSessionProxy

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
                  |
                  +--org.jboss.ejb.plugins.jrmp.interfaces.StatelessSessionProxy

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Direct Known Subclasses:
  StatelessSessionProxy, StatelessSessionProxy

public class StatelessSessionProxy
extends BeanProxy

An EJB stateless session bean proxy class.

Version:
  $Revision: 1.15 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Marc Fleury, Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`GET_EJB_HOME, GET_HANDLE, GET_PRIMARY_KEY, IS_IDENTICAL`

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`container, EMPTY_ARGS, EQUALS, HASH_CODE, initialContextHandle, name, optimize, TO_STRING, tpcFactory`

Constructor Summary
`StatelessSessionProxy()` No-argument constructor for externalization.
`StatelessSessionProxy(java.lang.String name, ContainerRemote container, boolean optimize)` Construct a `StatelessSessionProxy`.

Method Summary
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method m, java.lang.Object[] args)` InvocationHandler implementation.

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`getEJBHome, isIdentical`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`addLocal, createInitialContext, createMarshalledObject, getCredential, getPrincipal, getTransaction, getTransactionPropagationContext, invokeContainer, isLocal, readExternal, removeLocal, setTPCFactory, setTransactionManager, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatelessSessionProxy

    public StatelessSessionProxy()

  No-argument constructor for externalization.

### StatelessSessionProxy

    public StatelessSessionProxy(java.lang.String name,
                                 ContainerRemote container,
                                 boolean optimize)

  Construct a `StatelessSessionProxy`.
  Parameters:
    `name` - The JNDI name of the container that we proxy for.
    `container` - The remote interface of the invoker for which this is a proxy for.
    `optimize` - True if the proxy will attempt to optimize VM-local calls.

Method Detail

### invoke

    public final java.lang.Object invoke(java.lang.Object proxy,
                                         java.lang.reflect.Method m,
                                         java.lang.Object[] args)
                                  throws java.lang.Throwable

  InvocationHandler implementation.
  Parameters:
    `proxy` - The proxy object.
    `m` - The method being invoked.
    `args` - The arguments for the method.
  Throws:
    `java.lang.Throwable` - Any exception or error thrown while processing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.